%define _buildid .9

%global py26nvr python26-pyasn1-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-pyasn1-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name pyasn1
%global modules_version 0.0.5

Name: python-pyasn1
Version: 0.1.7
Release: 2%{?_buildid}%{?dist}
Summary: ASN.1 tools for Python
Group: System Environment/Libraries
License: BSD
URL: http://%{upstream_name}.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/%{upstream_name}/pyasn1-modules-%{modules_version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
This is an implementation of ASN.1 types and codecs in the Python programming
language.

%package -n python26-pyasn1
Summary: ASN.1 tools for Python
BuildRequires: python26-devel
BuildRequires: python26-setuptools
Provides: python-pyasn1 = %{version}-%{release}
Conflicts: python26-%{upstream_name}-modules <= 0.1.7-2.7.amzn1
Obsoletes: python-%{upstream_name} <= 0.1.7-2.3.amzn1

%description -n python26-pyasn1
This is an implementation of ASN.1 types and codecs in the Python programming
language.

This package is meant to be used with Python 2.6.

%package -n python26-%{upstream_name}-modules
Summary: Modules for %{upstream_name}
Requires: python26-%{upstream_name} = %{version}-%{release}
Provides: python-%{upstream_name}-modules = %{version}-%{release}
Obsoletes: python-%{upstream_name}-modules <= 0.1.7-2.3.amzn1

%description -n python26-%{upstream_name}-modules
ASN.1 types modules for python26-%{upstream_name}.

This package is meant to be used with Python 2.6.

%package -n python27-pyasn1
Summary: ASN.1 tools for Python
BuildRequires: python27-devel
BuildRequires: python27-setuptools
Conflicts: python27-%{upstream_name}-modules <= 0.1.7-2.7.amzn1

%description -n python27-pyasn1
This is an implementation of ASN.1 types and codecs in the Python programming
language.

This package is meant to be used with Python 2.7.

%package -n python27-%{upstream_name}-modules
Summary: Modules for %{upstream_name}
Requires: python27-%{upstream_name} = %{version}-%{release}

%description -n python27-%{upstream_name}-modules
ASN.1 types modules for python27-%{upstream_name}.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version} -b1

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

cp -a ../pyasn1-modules-%{modules_version} %{py26builddir}
pushd %{py26builddir}/pyasn1-modules-%{modules_version}
%{__python26} setup.py build
popd

cp -a ../pyasn1-modules-%{modules_version} %{py27builddir}
pushd %{py27builddir}/pyasn1-modules-%{modules_version}
%{__python27} setup.py build
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py26builddir}/pyasn1-modules-%{modules_version}
%{__python26} setup.py install --skip-build --root %{buildroot}
popd

pushd %{py27builddir}/pyasn1-modules-%{modules_version}
%{__python27} setup.py install --skip-build --root %{buildroot}
popd

%check
%if %{with tests}
pushd %{py26builddir}
# PYTHONPATH is required because the the tests expect the package to be installed.
PYTHONPATH="%{buildroot}%{python26_sitelib}:$PYTHONPATH" %{__python26} test/suite.py
popd
pushd %{py27builddir}
# PYTHONPATH is required because the the tests expect the package to be installed.
PYTHONPATH="%{buildroot}%{python27_sitelib}:$PYTHONPATH" %{__python27} test/suite.py
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-pyasn1
%doc README LICENSE doc/*.html
%{python26_sitelib}/pyasn1/
%{python26_sitelib}/pyasn1-%{version}*.egg-info/

%files -n python26-%{upstream_name}-modules
%{python26_sitelib}/pyasn1_modules/
%{python26_sitelib}/pyasn1_modules-%{modules_version}*.egg-info/

%files -n python27-pyasn1
%doc README LICENSE doc/*.html
%{python27_sitelib}/pyasn1/
%{python27_sitelib}/pyasn1-%{version}*.egg-info/

%files -n python27-%{upstream_name}-modules
%{python27_sitelib}/pyasn1_modules/
%{python27_sitelib}/pyasn1_modules-%{modules_version}*.egg-info/

%changelog
* Thu Oct 15 2015 Ian Weller <iweller@amazon.com>
- Ensure same version/release of main package is installed

* Fri Oct 9 2015 Ian Weller <iweller@amazon.com>
- Don't include pyasn1_modules in main package

* Wed Feb 4 2015 Tom Kirchner <tjk@amazon.com>
- Build for multiple python versions

* Tue Sep 10 2013 Lee Trager <ltrager@amazon.com>
- Fix python macro
- import source package F20/python-pyasn1-0.1.7-2.fc20

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Rob Crittenden <rcritten@redhat.com> - 0.1.7-1
- update to upstream release 0.1.7
- update modules to 0.0.5

* Sat Feb 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.6-1
- update to upstream release 0.1.6
- update modules to 0.0.4
- update description
- add python3-pyasn1 subpackage
- add versioned Requires for the module subpackages
- add %%check section

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Lee Trager <ltrager@amazon.com>
- import source package F17/python-pyasn1-0.1.2-1.fc17

* Tue Jan 15 2013 ltrager <ltrager@amazon.com>
- setup complete for package python-pyasn1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 02 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 0.1.2-1
- New upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.12a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Rob Crittenden <rcritten@redhat.com> - 0.0.12a-1
- Update to upstream version 0.0.12a

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.0.9a-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Nov 16 2009 Rob Crittenden <rcritten@redhat.com> - 0.0.9a-1
- Update to upstream version 0.0.9a
- Include patch that adds parsing for the Any type

* Wed Sep  2 2009 Rob Crittenden <rcritten@redhat.com> - 0.0.8a-5
- Include doc/notes.html in the package

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8a-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8a-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.8a-2
- Rebuild for Python 2.6

* Tue Sep  9 2008 Paul P. Komkoff Jr <i@stingr.net> - 0.0.8a-1
- Update to upstream version 0.0.8a

* Wed Jan 16 2008 Rob Crittenden <rcritten@redhat.com> - 0.0.7a-4
- Use setuptools to install the package
- simplify the files included in the rpm so it includes the .egg-info

* Mon Jan 14 2008 Rob Crittenden <rcritten@redhat.com> - 0.0.7a-3
- Rename to python-pyasn1
- Spec file cleanups

* Mon Nov 19 2007 Karl MacMillan <kmacmill@redhat.com> - 0.0.7a-2
- Update rpm to be more fedora friendly

* Thu Nov 8 2007 Simo Sorce <ssorce@redhat.com> 0.0.7a-1
- New release

* Mon May 28 2007 Andreas Hasenack <andreas@mandriva.com> 0.0.6a-1mdv2008.0
+ Revision: 31989
- fixed (build)requires
- Import pyasn1
